Package org.apache.lucene.index

# Class SlowCodecReaderWrapper

java.lang.Object
org.apache.lucene.index.SlowCodecReaderWrapper

public final class SlowCodecReaderWrapper extends Object
Wraps arbitrary readers for merging. Note that this can cause slow and memory-intensive merges. Consider using `FilterCodecReader` instead.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CodecReader`
  `wrap(LeafReader reader)`
  Returns a `CodecReader` view of reader.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### wrap

    public static CodecReader wrap(LeafReader reader) throws IOException
    Returns a `CodecReader` view of reader.

    If `reader` is already a `CodecReader`, it is returned directly. Otherwise, a (slow) view is returned.

    Throws:
      `IOException`